%global srcname pid

Summary:        PID file management library
Name:           python-%{srcname}
Version:        3.0.4
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://github.com/trbs/pid
Source0:        https://github.com/trbs/pid/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
pid provides a PidFile class that manages PID files. PidFile featuring stale detection and 
file-locking. It can also be used as a context manager or a decorator.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{srcname}
pid provides a PidFile class that manages PID files. PidFile featuring stale detection and 
file-locking. It can also be used as a context manager or a decorator.

%prep
%autosetup -p1 -n %{srcname}-%{version}

rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 7 2022 Cheng Xin <denisecheng@tencent.com> - 3.0.4-1
- package init.
